Subject: bug#22000: Patch addressing the menu-bar frame-resize interaction

From: Vivek Dasmohapatra <[email-masked]>
Date: Sun, 21 Oct 2018 16:50:25 +0100 (BST)

> Here's a screenshot showing the the menu and tool bars in Emacs without
> your patches (left), with patches and menu-bar-scrollbar set to
> `automatic' (middle) and set to nil (right):

I don't however, know what's up with the missing line or the gap
between the menu bar and the opened menu. I'll see if I can fix it
but the choice may be between one of:

  - the current glitchy frame resize

  - minor visual quirks like the missing line

  - much larger (taller) menu bars (I don't know why GTK insists
    on adding this much space, it's not something that seems
    configurable except with CSS trickery)